package com.gic.haoban.manage.api.dto;

import java.io.Serializable;

/**
 * 员工登录
 *
 * @author mozhu
 * @date 2021/12/10 15:00
 */
public class StaffLoginDTO implements Serializable {

    private static final long serialVersionUID = -170574390217887304L;
    private String staffId;
    private String wxEnterpriseId;
    private String phoneNumber;
    private String nationcode;
    private String wxUserId;

    /**
     * 是否同意隐私协议，1:是；0:否
     */
    private Integer privacyUseFlag;


    /**
     * 好办版本
     */
    private String welldoneVersion;

    /**
     * 企微版本
     */
    private String weworkVersion;

    /**
     * 用户手机品牌
     */
    private String staffPhoneBrand;

    /**
     * 用户手机型号
     */
    private String staffPhoneModel;

    /**
     * 用户手机版本
     */
    private String staffPhoneVersion;

    /**
     * 登录ip
     */
    private String staffIp;

    public String getStaffId() {
        return staffId;
    }

    public void setStaffId(String staffId) {
        this.staffId = staffId;
    }

    public String getWxEnterpriseId() {
        return wxEnterpriseId;
    }

    public void setWxEnterpriseId(String wxEnterpriseId) {
        this.wxEnterpriseId = wxEnterpriseId;
    }

    public String getPhoneNumber() {
        return phoneNumber;
    }

    public void setPhoneNumber(String phoneNumber) {
        this.phoneNumber = phoneNumber;
    }

    public String getNationcode() {
        return nationcode;
    }

    public void setNationcode(String nationcode) {
        this.nationcode = nationcode;
    }

    public String getWxUserId() {
        return wxUserId;
    }

    public void setWxUserId(String wxUserId) {
        this.wxUserId = wxUserId;
    }

    public Integer getPrivacyUseFlag() {
        return privacyUseFlag;
    }

    public void setPrivacyUseFlag(Integer privacyUseFlag) {
        this.privacyUseFlag = privacyUseFlag;
    }

    public String getWelldoneVersion() {
        return welldoneVersion;
    }

    public void setWelldoneVersion(String welldoneVersion) {
        this.welldoneVersion = welldoneVersion;
    }

    public String getWeworkVersion() {
        return weworkVersion;
    }

    public void setWeworkVersion(String weworkVersion) {
        this.weworkVersion = weworkVersion;
    }

    public String getStaffPhoneBrand() {
        return staffPhoneBrand;
    }

    public void setStaffPhoneBrand(String staffPhoneBrand) {
        this.staffPhoneBrand = staffPhoneBrand;
    }

    public String getStaffPhoneModel() {
        return staffPhoneModel;
    }

    public void setStaffPhoneModel(String staffPhoneModel) {
        this.staffPhoneModel = staffPhoneModel;
    }

    public String getStaffPhoneVersion() {
        return staffPhoneVersion;
    }

    public void setStaffPhoneVersion(String staffPhoneVersion) {
        this.staffPhoneVersion = staffPhoneVersion;
    }

    public String getStaffIp() {
        return staffIp;
    }

    public void setStaffIp(String staffIp) {
        this.staffIp = staffIp;
    }
}
